Bug 175256 - openmotif-devel: missing deps
openmotif-devel: missing deps
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: openmotif (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Thomas Woerner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-12-08 03:08 EST by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-12 04:47:40 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ralf Corsepius 2005-12-08 03:08:49 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050923 Fedora/1.7.12-1.5.1

Description of problem:
Headers from openmotif-devel use these headers:
#include <X11/extensions/Print.h>
#include <X11/Xatom.h>
#include <X11/Xmd.h>
#include <X11/Xosdefs.h>
#include <X11/Xos.h>

but the rpm-package doesn't "Require" any other package pulling them in.


Version-Release number of selected component (if applicable):
openmotif-2.2.3-14

How reproducible:
Always

Steps to Reproduce:
Try building motif-based applications in a FC5 chroot.



Actual Results:  X11/extensions/Print.h and X11/Xatom.h are directly included from Xm/Xm.h, so building any package/application not directly depending on xorg-x11-proto-devel will fail. 


Expected Results:  yum install openmotif-devel
to install a complete openmotif development environment.


Additional info:

ATM, all motif based rpms for FC >= FC5 must explicitly "BuildRequire: xorg-x11-proto-devel".

IMO, an avoidable and unnecessarily inconvenient approach, to say the least.
Comment 1 Thomas Woerner 2005-12-12 04:47:40 EST
libX11-devel is a gived build requires for openmotif and requires
xorg-x11-proto-devel.

Therefore it is not necessary to add xorg-x11-proto-devel explicitly.

Note You need to log in before you can comment on or make changes to this bug.